List listing image ideas
curl --request GET \
--url https://makelocalads.com/api/v1/amazon-listing-ideas \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/amazon-listing-ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/amazon-listing-ideas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplace": "<string>",
"position": 123,
"slot_type": "main",
"title": "MAIN IMG",
"summary": "<string>",
"creative_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "idea",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}API Reference
List listing image ideas
Returns the saved image slots for a product and marketplace: the main image first, then up to eight variants, each with its direction and current image.
GET
/
amazon-listing-ideas
List listing image ideas
curl --request GET \
--url https://makelocalads.com/api/v1/amazon-listing-ideas \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/amazon-listing-ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/amazon-listing-ideas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplace": "<string>",
"position": 123,
"slot_type": "main",
"title": "MAIN IMG",
"summary": "<string>",
"creative_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "idea",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
An id from GET /amazon-marketplaces.
Example:
"us"
Response
The saved ideas.
Show child attributes
Show child attributes
Last modified on September 30, 2026